/**
 *	@file	GetPixelsMainView.h
 *	@author	ENDO
 */

#ifndef GETPIXELSMAINVIEW_H
#define GETPIXELSMAINVIEW_H

#include <aknview.h>	// for CAknView.
#include <sendui.h>		// for TSendingCapabilities.

class CGetPixelsAppUi;
class CGetPixelsMainContainer;
class CSendAppUi;
class CGetPixelsMainView : public CAknView
	{
public:
	static CGetPixelsMainView* NewL(void);
	virtual ~CGetPixelsMainView();

private:
	CGetPixelsMainView(void);
	void ConstructL(void);

public:
	void DrawDeferred(void) const;

private:
	// from CAknView.
	TUid Id(void) const;
	void HandleCommandL(TInt aCommand);
	void DoActivateL(const TVwsViewId& aPrevViewId, TUid aCustomMessageId, const TDesC8& aCustomMessage);
	void DoDeactivate(void);

	// from MEikMenuObserver.
	void DynInitMenuPaneL(TInt aMenuId, CEikMenuPane* aMenuPane);

private:
	TBool HandleSendAppUiCommandL(TInt aCommand);

private:
	CGetPixelsMainContainer* iContainer;
	CGetPixelsAppUi& iAppUi;

	CSendAppUi* iSendAppUi;
	TSendingCapabilities iSendAppUiCapabilities;
	};

#endif // GETPIXELSMAINVIEW_H
