/**
 *	@file	MyAssert.h
 *	@author	ENDO
 */

#ifndef MYASSERT_H
#define MYASSERT_H

#if defined(_UNICODE)

#define WIDE_LIT(lit)		L ## lit
#define WIDE_MACRO(macro)	WIDE_LIT(macro)
#define MY_ASSERT(exp)	__ASSERT_DEBUG(exp, User::Panic(_L("" WIDE_MACRO(__FILE__)).Right(16), static_cast<TInt>(__LINE__)));

#else

#define MY_ASSERT(exp)	__ASSERT_DEBUG(exp, User::Panic(_L(__FILE__).Right(16), static_cast<TInt>(__LINE__)));

#endif

#endif	// MYASSERT_H
